/*
** File: adb3Drv.h  
** Project: ADMXRC3 module driver
** Purpose: Defines entry points into VxWorks driver to be used in the
**          VxWorks shell.
**
** (C) Copyright Alpha Data 2013
**
**   debugLevel       A value that determines the amount of debug messages
**                    emitted on the console, where 0 is minimum and 10 is
**                    maximum.
**
**   bLegacyHardware  A value that determines whether or not the driver
**                    searches for and attempts to control legacy hardware.
**
**                      zero => no
**                      nonzero => yes
**
**                    Legacy hardware is defined to be Alpha Data
**                    reconfigurable computing hardware from generations
**                    before Gen 3. Not all legacy models are supported.
*/

#if !defined(ADATA_ADB3DRV_H)
#define ADATA_ADB3DRV_H

#include <vxWorks.h>

extern STATUS
adb3DrvStart(
  int debugLevel,
  int bLegacyHardware);

extern STATUS
adb3DrvStop(
  int debugLevel);

extern STATUS
adb3DrvCompStart(
  int debugLevel,
  int bLegacyHardware,
  BOOL bEnableVpdWrite,
  BOOL bPciAddress64Bit,
  unsigned int numCommonBuffer,
  unsigned int commonBufferSize,
  unsigned int commonBufferAlign);

extern unsigned int adb3DrvEnableVpdWrite;
extern unsigned int adb3DrvPciAddress64Bit;
extern unsigned int adb3DrvPrimaryCommonBufferCount;
extern unsigned int adb3DrvPrimaryCommonBufferAlignment;
extern unsigned int adb3DrvPrimaryCommonBufferSizeLow;

#endif
